ICode9

精准搜索请尝试: 精确搜索
  • npm install node-sass -D 安装失败,cnpm也失败。解决方法升级node版本。2021-09-15 18:33:02

    今天写个react项目本想使用scss来写样式。于是使用。npm install node-sass -D来安装。结果失败。 以为是网络问题于是:cnpm install  node-sass -D 也是失败。 后来百度一下查到一个方法: npm install -g cnpm --registry=https://registry.npm.taobao.org 也失败了。可能别人

  • 减小发布到npm包的体积与避免重复依赖2021-09-15 11:01:20

    这两天一直在忙于封装一个vue table组件并发布到npm,记录一下我是如何把npm包的大小从100多kb减小到不足1kb的过程。 背景 这个组件底层依赖于element-ui,使用了其table组件和pagination组件,最终的组件是一个完全通过配置来描述每一列的表格组件。最开始我发布的是打包之后的代码

  • 全局安装nodemon包2021-09-15 00:01:33

    作用 它能帮我们自动检测到我们的代码的修改,并自动重新运行我们的代码 我们每次修改了代码,要想代码生效都需要重启http服务器: 进入小黑窗 按下ctrl+c,停止已有http服务器。 手动运行:node index.js 来重启服务器。 有没有一个工具会自动检测到我们的修改并自动重新运行我们的代码

  • vue/cli 脚手架及其文件说明2021-09-14 18:01:00

    vue/cli 脚手架 文章目录 vue/cli 脚手架前言一、vue/cli 脚手架安装二、初始化项目三、项目文件配置介绍 前言 安装脚手架前需先安装node安装,node中包含有npm:包管理工具,不用另外安装npm。 1.如果不确定自己是否安装了node,可以在命令行工具内执行: node -v (检查一下 版

  • VUE 安装2021-09-14 14:34:43

    一、安装nodejs ( npm集成在node)       下载地址: https://nodejs.org/en/download/        node -v 查看版本号        npm -v  npm的版本信息   二、安装淘宝镜像       npm install -g cnpm --registry=http://registry.npm.taobao.org 三、安装vue-cli 脚手

  • Vite详解2021-09-14 10:04:12

    vite 目录一、推荐两个插件插件VolarVue 3 Snippets二、vite简介优势分析浏览器支持三、vite搭建vue3.x项目1、创建项目2、集成Vue-Router3、集成vuex4、集成Eslint5、集成element-plus6、移动端适配四、vite.config.js的配置1、 配置alias起别名2、proxy代理配置3、按需引入eleme

  • vue+flask-node安装,vue使用,axios使用,2021-09-14 05:00:15

    ### node安装不多说了, ### vue脚手架的安装,npm安装, ### 使用vue-cli,创建vue项目, vue create projectname 最终会帮我们生成一个项目工程, ### vue项目目录的解读, 必须要知道每一个目录干什么的,有什么作用 ### 安装一个,composition-api,使用npm安装 ### 安装axios,npm install axios, #

  • npm 设置同时从多个包源加载包的方法2021-09-13 22:34:37

          随着前后端分离技术的发展成熟,越来越来越多的后台系统甚至前端系统采用前后端分离方式,在大型前后端分离系统中,前端往往包含大量的第三方js 包的引用,各个第三方包又可能依赖另外一个第三方包,因此急需要一个用于管理项目包之间的依赖关系的一个工具,此时npm就出现了,npm 通常

  • 全局安装nodemon包2021-09-13 22:30:05

    作用 : 能帮我们自动检测到我们的代码的修改,并自动重新运行我们的代码 1. 安装 在任意位置下打开命令窗口下,输入--全局安装 npm install -g nodemon 此操作需要联网,根据网络速度所耗时间不同。如果这个命令执行完成并没有报错,就是说明安装成功了 对上面的命令说明如下: npm是

  • NPM 使用介绍2021-09-13 20:58:01

    允许用户从NPM服务器下载别人编写的第三方包到本地使用。允许用户从NPM服务器下载并安装别人编写的命令行程序到本地使用。允许用户将自己编写的包或命令行程序上传到NPM服务器供别人使用。 npm 升级命令: npm install npm -g 使用淘宝镜像的命令: npm install -g cnpm --regi

  • vue小demo2021-09-13 20:01:50

    创建新项目 //初始化项目 vue init webpack hello-vue //进入项目 cd hello-vue //安装 vue-router npm install vue-router —save-dev //安装elementUI npm i element-ui -s //安装依赖 npm install //启动测试 npm run dev

  • npm发包流程2021-09-13 17:01:17

    1、注册账号 ​ 在npm官网(https://www.npmjs.com/)注册账号,并邮箱验证(十分重要) 2、登录 ​ 打开cmd或者在需要发布的项目控制台中,执行npm login或npm addUser,然后会依次要求你输入npm 注册的账号、密码、邮箱。 注意:如果此时报错E403,那可能是邮箱未验证或者检查源,不能指向淘

  • Appium环境安装---macOS系统 (M1芯片)2021-09-13 16:33:01

    1.安装node.js(LTS版本) 两种安装方法: 1.官网下载dmg文件进行安装 点击进入官网下载安装文件:node.js下载 2. 使用brew安装 步骤一:查看node.js版本 brew search node 步骤二:下载对应版本号的node,没有 @版本号的话则默认下载最新版本的node.js。这里我们选择而下载LTS版本的no

  • 个人Blog页面Live2D看板人物 很简单2021-09-13 14:32:02

    页面看板人物 Live2D 附图  看板人物 随鼠标指针转动身体 很有意思 许多个人Blog都能见到 说一下怎么做 很简单: 先配置 npm i vue-live2d@1.2.1  配置完成在public中的index.html中: <script src="https://eqcn.ajz.miesnfu.com/wp-content/plugins/wp-3d-pony/live2dw/lib/L2D

  • Cannot find module 'node-sass'及node-sass 6.0.0版本与^4.0.0不兼容问题2021-09-13 13:02:27

    1:Vue启动项目,找不到Cannot find module ‘node-sass’ 模块 解决办法:npm install node-sass@latest,如果是淘宝镜像,则使用:cnpm install node-sass@latest 2:若下载的node-sass版本与原有版本不兼容,如node-sass 6.0.0版本与^4.0.0不兼容 则执行 2.1先卸载之前版本的node-sass n

  • node升级后,项目报错2021-09-13 13:02:04

     node一直用的10.x版本的,由于后期项目所需,更新到了项目14.x,然后启动老的项目报错 报错原因: This usually happens because your environment has changed since running `npm install`. 这通常是因为运行“npm install”后环境发生了变化。 Run `npm rebuild node-sass` to dow

  • 错误提示:“ReferenceError: require is not defined in ES module scope, you can use impor”解决方法2021-09-13 12:03:25

    错误提示:“ReferenceError: require is not defined in ES module scope, you can use impor”解决方法 今天在学习webpack打包工具,练习时做一个简单的小案例想要实现打包操作,但是在命令行执行“webpack”时被提示“ReferenceError: require is not defined in ES module sc

  • Vue安装2021-09-13 09:58:26

    Vue安装.doc 第一种方式 模块管理工具(推荐) 使用node 里的npm 模块管理工具 具体怎么安装node 和配置npm 这里就不说了 使用前先检测node 和npm能使用吗? 在控制台输入: node -v npm -v 如果都打印出版本号 那么就可以执行下一步了 我们可以通过 使用以下命令查看当前npm的

  • 全局安装nodemon包2021-09-12 15:30:25

    作用 它能帮我们自动检测到我们的代码的修改,并自动重新运行我们的代码 我们每次修改了代码,要想代码生效都需要重启http服务器: 进入小黑窗 按下ctrl+c,停止已有http服务器。 手动运行:node index.js 来重启服务器。 这有点麻烦哈。 有没有一个工具会自动检测到我们的修改并

  • 安装并配置nodejs2021-09-12 09:32:41

    安装 nodejs Node.js是一个基于 Chrome V8 引擎 的 JavaScript 运行时环境。 下载 官网:https://nodejs.org/en/ 版本信息: 14.7.4 LTS 下载地址: windows: https://nodejs.org/dist/v14.17.4/node-v14.17.4-x64.msi linux: https://nodejs.org/dist/v14.17.4/node-v14.17.4-linux-

  • vue ui 创建项目报错: Failed to get response from https://registry.yarnpkg.com/vue-cli-version-marker2021-09-12 09:00:21

    卸载旧版本Vue CLI npm uninstall vue-cli -g #or yarn global remove vue-cli 安装新版本Vue CLI npm install -g @vue/cli #or yarn global add @vue/cli 查看版本信息 vue -V #or vue --version 重新运行 vue ui

  • 全局安装nodemon包2021-09-11 23:02:54

    作用:它能帮我们自动检测到我们的代码的修改,并自动重新运行我们的代码 由于我们每次修改了代码,要想代码生效都需要运行,这有点麻烦 ,因此需要一个工具会自动检测到我们的修改并自动重新运行我们的代码,它叫nodemon。 安装 步骤: 在任意位置 打开一个小黑窗,输入如下命令 npm install -

  • 上传npm包出现的错误2021-09-11 20:31:00

      这里边的错误显示为:该电子邮箱已经注册,说明你用户名可能存在错误。仅供参考   这里边错误显示为 :包名过于类似于现有的包,意思是你的包名和NPM上已有的包名有类似 ,这里可以换一个包名 就可以了。    仅供参考  这是我目前遇到的错误,后续可能会继续说明。

  • 怎么全局安装 i5ting_toc 包及使用2021-09-11 20:30:36

    作用:i5ting_toc 是一个可以把 md 文档转为 html 页面的小工具。 安装 步骤: 在任意位置 打开一个小黑窗,输入如下命令  npm install -g i5ting_toc 回车。 此操作需要联网,根据网络速度所耗时间不同。如果这个命令执行完成并没有报错,就是说明安装成功了。 对上面的命令说明如下: n

  • TypeScript的安装和初步使用2021-09-11 19:01:16

      最近想尝试用Cocos做小游戏,跟着教程走发现3.0之后的编辑器取消了对JavaScript和CoffeeScript的支持,仅保留TypeScript编写脚本,之前没接触过,于是搜索一番,虽然我看不懂,但我大受震撼(笑)。   TypeScript算JavaScript的儿子,支持JavaScript的语法,并且引入了接口、继承、强类型等功能

专注分享技术,共同学习,共同进步。侵权联系[admin#icode9.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有